import './index.html';
import './index.less';
import ReactDOM from 'react-dom';
import React from 'react';
import { browserHistory ,hashHistory} from 'react-router';
import enUS from 'antd/lib/locale-provider/en_US';
import { LocaleProvider } from 'antd';

import Routes from '../routes/index';
const Provider = require('react-redux').Provider;
const configureStore = require('../store/configureStore');
const store = configureStore()

ReactDOM.render(
  <LocaleProvider locale={enUS}>
    <Provider store={store}>
      <Routes history={hashHistory} />
    </Provider>
  </LocaleProvider>,
  document.getElementById('root')
);
